Subject: Re: [PATCH] index-pack usage of mmap() is unacceptably slower on many OSes other than Linux

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Dec 2006 12:17:20 -0800

Junio C Hamano <[email-masked]> writes:

> Linus Torvalds <[email-masked]> writes:
>
>> On Tue, 19 Dec 2006, Junio C Hamano wrote:
>>
>>> Jeff Garzik <[email-masked]> writes:
>>> 
>>> > If you are going to do this, you have to audit -every- file, to make
>>> > sure git-compat-util.h is -always- the first header.
>>> 
>>> Will do.
>>
>> Well, since any cases where it isn't (and where we'd care) will  show up 
>> as just a compiler warning, I doubt we really even need to. We can fix 
>> things up as they get reported too..
>
> True, but I've done it already, so... 
>
> Test compile especially on non Linux boxes are appreciated (I'll
> do one on an OpenBSD bochs tomorrow myself anyway, though).

I've pushed the results out, along with the index-pack updates
from Linus/Nico.

I needed to fix the changes to git-compat-util.h a bit from the
version I sent earlier to make OpenBSD happy (sys/types.h there
did not expose u_int unless _BSD_SOURCE was set, and
netinet/in.h was duplicated by mistake).